/*
 * Project name:
     ADC_on LEDs (Display the result of ADC on Lcd display)
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20080930:
       - initial release;
 * Description:
      A simple example of using the ADC library.
      ADC results are displayed on PORTB and PORTC.
 * Test configuration:
     MCU:             ATmega128
                      http://www.atmel.com/dyn/resources/prod_documents/doc2467.pdf
     Dev.Board:       BIGAVR6 - ac:ADC
                      http://www.mikroe.com/bigavr/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Turn on PORTB and PORTC diodes.
     - Select ADC module reference by placing jumper J18 in proper position.
     - To simulate analog input on ADC channel 2, use on-board potentiometer P1
       by connecting jumper J15 to MCU pin corresponding to ADC channel 2 input.
 */

#include <built_in.h>
unsigned int adc_rd;

void main() {
  DDRB = 0xFF;               // Set PORTB as output
  DDRC = 0xFF;               // Set PORTC as output
  
  while (1) {
    adc_rd = ADC_Read(2);    // get ADC value from 2nd channel
    PORTB = adc_rd;          // display adc_rd[7..0]
    PORTC = Hi(adc_rd);      // display adc_rd[9..8]
  }
}