/*
 * Project name:
     LED_Blinking (Simple 'Hello World' project)
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20080930:
       - initial release;
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORTA, PORTB, PORTC and PORTD. 
 * Test configuration:
     MCU:             ATmega128
                      http://www.atmel.com/dyn/resources/prod_documents/doc2467.pdf
     Dev.Board:       BIGAVR6 - ac:LEDs
                      http://www.mikroe.com/bigavr/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Turn ON the PORT LEDs. at SW12.1 - SW12.4
*/

void main() {
  DDRA = 0xFF;           // set direction to be output
  DDRB = 0xFF;           // set direction to be output
  DDRC = 0xFF;           // set direction to be output
  DDRD = 0xFF;           // set direction to be output
  
  do {
    PORTA = 0x00;        // Turn OFF diodes on PORTA
    PORTB = 0x00;        // Turn OFF diodes on PORTB
    PORTC = 0x00;        // Turn OFF diodes on PORTC
    PORTD = 0x00;        // Turn OFF diodes on PORTD
    Delay_ms(1000);      // 1 second delay
    
    PORTA = 0xFF;        // Turn ON diodes on PORTA
    PORTB = 0xFF;        // Turn ON diodes on PORTB
    PORTC = 0xFF;        // Turn ON diodes on PORTC
    PORTD = 0xFF;        // Turn ON diodes on PORTD
    Delay_ms(1000);      // 1 second delay
  } while(1);            // Endless loop
}