/*
 * Project name:
     ADC_on LEDs (Display the result of ADC on Lcd display)
 * Copyright:
     (c) Mikroelektronika, 2013.
 * Revision History:
     20130113:
       - initial release (FJ);
 * Description:
      A simple example of using the ADC library.
      ADC results are displayed on PORTB and PORTC LEDs.
 * Test configuration:
     MCU:             ATMEGA32
                      http://www.atmel.com/Images/doc2503.pdf
     Dev.Board:       EasyAVR v7 - ac:ADC
                      http://www.mikroe.com/easyavr/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Turn on PORTB and PORTC LEDs (SW10.6 and SW10.7).
     - To simulate analog input on ADC channel 5, use on-board potentiometer P3
       and connect jumper J4 to pin PA5.
 */

#include <built_in.h>

unsigned int adc_rd;

void main() {

  DDRB = 0xFF;               // set PORTB as output
  DDRC = 0xFF;               // set PORTC as output
  
  while (1) {
    adc_rd = ADC_Read(5);    // get ADC value from 5th channel
    PORTB = adc_rd;          // display adc_rd[7..0]
    PORTC = Hi(adc_rd);      // display adc_rd[9..8]
  }
}