/*
 * Project name:
     LED_Blinking (Simple 'Hello World' project)
 * Copyright:
     (c) Mikroelektronika, 2013.
 * Revision History:
     20130113:
       - initial release (FJ);
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORTA, PORTB, PORTC and PORTD. 
 * Test configuration:
     MCU:             ATMEGA32
                      http://www.atmel.com/Images/doc2503.pdf
     Dev.Board:       EasyAVR v7 -  ac:LEDs
                      http://www.mikroe.com/easyavr/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Make sure you turn ON the PORTA, PORTB, PORTC and PORTD LEDs 
       (SW10.5, SW10.6, SW10.7 and SW10.8).
 */

void main() {
  DDRA = 0xFF;           // Set direction to be output
  DDRB = 0xFF;           // Set direction to be output
  DDRC = 0xFF;           // Set direction to be output
  DDRD = 0xFF;           // Set direction to be output
  
  do {
    PORTA = 0x00;        // Turn OFF diodes on PORTA
    PORTB = 0x00;        // Turn OFF diodes on PORTB
    PORTC = 0x00;        // Turn OFF diodes on PORTC
    PORTD = 0x00;        // Turn OFF diodes on PORTD
    Delay_ms(1000);      // 1 second delay
    
    PORTA = 0xFF;        // Turn ON diodes on PORTA
    PORTB = 0xFF;        // Turn ON diodes on PORTB
    PORTC = 0xFF;        // Turn ON diodes on PORTC
    PORTD = 0xFF;        // Turn ON diodes on PORTD
    Delay_ms(1000);      // 1 second delay
  } while(1);            // Endless loop
}