/*
 * Project name:
     LED_Curtain (Simple 'Hello World' project)
 * Copyright:
     (c) Mikroelektronika, 2013.
 * Revision History:
     20130113:
       - initial release (FJ);
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORTA, PORTB, PORTC and PORTD.
 * Test configuration:
     MCU:             ATMEGA32
                      http://www.atmel.com/Images/doc2503.pdf
     Dev.Board:       EasyAVR v7 - ac:LEDs
                      http://www.mikroe.com/easyavr/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Make sure you turn ON the PORTA, PORTB, PORTC and PORTD LEDs
       (SW10.5, SW10.6, SW10.7 and SW10.8).
 */

char counter;

void wait() {
  Delay_ms(100);
}

void main() {
  DDRA = 0xFF;     // set direction to be output
  DDRB = 0xFF;     // set direction to be output
  DDRC = 0xFF;     // set direction to be output
  DDRD = 0xFF;     // set direction to be output
  PORTA = 0x00;    // turn OFF the PORTA leds
  PORTB = 0x00;    // turn OFF the PORTB leds
  PORTC = 0x00;    // turn OFF the PORTC leds
  PORTD = 0x00;    // turn OFF the PORTD leds
  
  while (1) {
    for (counter=0; counter<8; counter++){
      PORTA |= 1 << counter;
      PORTB |= 1 << counter;
      PORTC |= 1 << counter;
      PORTD |= 1 << counter;
 
      wait();
    }
       
    counter = 0;
    while (counter<8) {
      PORTA &= ~(1 << counter);
      PORTB &= ~(1 << counter);
      PORTC &= ~(1 << counter);
      PORTD &= ~(1 << counter);
 
      wait();
      counter++;
    }
  }
}