/*
 * Project name:
     Spi_Lcd8_Test (How to use SPI Lcd 8-bit interface library)
 * Copyright:
     (c) Mikroelektronika, 2005-2010.
 * Revision History:
     20071210:
       - initial release;
 * Description:
     The code prints text on Lcd (8-bit interface) via SPI interface
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/easyavr/v6/
     Oscillator:      External Clock, 8.0000 MHz
     Ext. Modules:    ac:Serial_LCD_2x16_Adapter_Board , Lcd 2x16
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     None.
 */

char *text = "mikroE";

// Port Expander module connections
sbit  SPExpanderRST at PORTB0_bit;
sbit  SPExpanderCS  at PORTB1_bit;
sbit  SPExpanderRST_Direction at DDB0_bit;
sbit  SPExpanderCS_Direction  at DDB1_bit;
// End Port Expander module connections

void main() {

  // If Port Expander Library uses SPI1 module
  SPI1_Init();                                // Initialize SPI module used with PortExpander

  // // If Port Expander Library uses SPI2 module
  // SPI2_Init();                             // Initialize SPI module used with PortExpander

  SPI_Lcd8_Config(0);                         // Intialize Lcd in 8bit mode via SPI
  SPI_Lcd8_Cmd(_LCD_CLEAR);                   // Clear display
  SPI_Lcd8_Cmd(_LCD_CURSOR_OFF);              // Turn cursor off
  SPI_Lcd8_Out(1,6, text);                    // Print text to Lcd, 1st row, 6th column...
  SPI_Lcd8_Chr_CP('!');                       // Append '!'
  SPI_Lcd8_Out(2,1, "mikroElektronika");      // Print text to Lcd, 2nd row, 1st column...
  SPI_Lcd8_Out(3,1, text);                    // For Lcd modules with more than two rows
  SPI_Lcd8_Out(4,15, text);                   // For Lcd modules with more than two rows
}