/*
 * Project name:
     PrintOut
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20071210:
       - initial release;
 * Description:
     This is a demonstration of the standard C library PrintOut routine usage.
     PrintOut routine is used to send text via UART.
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/easyavr/v6/
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Turn on UART switches SW9.2 and SW9.5
 */

void PrintHandler(char c){

  UART1_Write(c);
}

void main(){
  UART1_Init(9600);     // Initialize UART module at 9600 bps
  Delay_ms(100);

  PrintOut(PrintHandler, "/*\r\n"
                         " * Project name:\r\n"
                         "     PrintOutExample (Sample usage of PrintOut() function)\r\n"
                         " * Copyright:\r\n"
                         "     (c) MikroElektronika, 2006.\r\n"
                         " * Revision History:\r\n"
                         "     20060710:\r\n"
                         "       - Initial release\r\n"
                         " * Description:\r\n"
                         "     Simple demonstration on usage of the PrintOut() function\r\n"
                         " * Test configuration:\r\n"
                         "     MCU:             ATMega16\r\n"
                         "     Dev.Board:       EasyAVR6\r\n"
                         "     Oscillator:      External Clock , %10.3fMHz\r\n"
                         "     Ext. Modules:    None.\r\n"
                         "     SW:              mikroC PRO for AVR\r\n"
                         " * NOTES:\r\n"
                         "     None.\r\n"
                         " */\r\n", Get_Fosc_kHz()/1000.);

}