/*
 * Project name:
     Sprintf  
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20071210:
       - initial release;
 * Description:
     This is a demonstration of the standard C library sprintf routine usage.
     Three different representations of the same floating poing number obtained 
     by using the sprintf routine are sent via UART.        
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/easyavr/v6/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Turn on UART switches SW9.2 and SW9.5.
 */

double ww = -1.2587538e+1;
char  buffer[15];

void main(){

  UART1_Init(19200);                       // Initialize UART module at 19200 bps
  Delay_ms(10);    
  
  UART1_Write_Text("Floating point number representation"); // Write message on UART

  sprintf(buffer, "%12e", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\ne format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART              "e format:-1.258754e+01"

  sprintf(buffer, "%12f", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\nf format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART              "f format:  -12.587537"
  
  sprintf(buffer, "%12g", ww);             // Format ww and store it to buffer
  UART1_Write_Text("\r\ng format:");       // Write message on UART
  UART1_Write_Text(buffer);                // Write buffer on UART              "g format:    -12.5875"
}