/*
 * Project name:
     Sprinti
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20071210:
       - initial release;
 * Description:
     This is a demonstration of the standard C library sprinti routine usage.
     Two different representations of the same integer number obtained
     by using the sprintf routine are sent via UART.
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/easyavr/v6/
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/mikroc/avr/
 * NOTES:
     - Turn on UART switches SW9.2 and SW9.5.
 */

unsigned int int_no = 30000;
char  buffer[15];

void main(){

  UART1_Init(19200);                                 // Initialize UART module at 19200 bps
  Delay_ms(10);

  UART1_Write_Text("Integer number representation"); // Write message on UART

  sprinti(buffer, "%10d", int_no);                   // Format int_no and store it to buffer
  UART1_Write_Text("\r\nd format:");                 // Write message on UART
  UART1_Write_Text(buffer);                          // Write buffer on UART (decimal format)

  sprinti(buffer, "%10x", int_no);                   // Format int_no and store it to buffer
  UART1_Write_Text("\r\nx format:");                 // Write message on UART
  UART1_Write_Text(buffer);                          // Write buffer on UART (hex format)
}